Attribute VB_Name = "PartNoProp1"

'--------------------------------------------------------------------07/12/2005
' PartNoProperty.swb - Copyright 2005 Leonard Kikstra
'------------------------------------------------------------------------------
' Define global variables and constants
Global swApp As Object
Global Document As Object
        
Sub ProgExit()
' Clean up variables and end program
  Set swApp = Nothing
  Set Document = Nothing
  End
End Sub

Sub CloseAll()
  Set OpenDoc = swApp.ActiveDoc()
  While Not OpenDoc Is Nothing
    swApp.QuitDoc (OpenDoc.GetTitle)
    Set OpenDoc = swApp.ActiveDoc()
  Wend
End Sub

'------------------------------------------------------------------------------
' Program control to define procedures when program is launced.
' Attach to SolidWorks, Set objects, Determine file type, launch form.
'------------------------------------------------------------------------------
Public Sub main()
  Set swApp = CreateObject("SldWorks.Application")
  swApp.Visible = True
  swApp.UserControl = True
  Set Document = swApp.ActiveDoc
  If Document Is Nothing Then         ' Check to see if a document
    FormPartNoProp.Show
  Else
    Answer = MsgBox("This macro will not function properly with " _
                    & "files already open in SolidWorks.  " _
                    & Chr(13) & Chr(13) _
                    & "Close all files (without saving) and continue?", _
                     vbYesNo, "Files open:")
    If Answer = vbYes Then
      CloseAll
      FormPartNoProp.Show
    Else
      End
    End If
  End If                        ' document loaded
End Sub
